
<form name="form" novalidate>


	<div id="top_of_dialog">
		<strong>Modifica Parametri di Configurazione Cliente</strong>
	</div>

	<div style="margin-top: 15px">
		<table
			class="table table-bordered blockContainer showInlineTable equalSplit">
			<thead>
				<tr>
					<th class="blockHeader" colspan="2">Impostazione parametri</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>DSP
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> {{ctrl.configToModify.dspName}} </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>CODICE
							SAP
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <input type="text"
								class="form-control" id="title" ng-model="code" required>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>NOME
							PROVIDER
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <input type="text"
								class="form-control" id="title" ng-model="companyName" required>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>PAESE
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <select name="country" id="country"
								ng-model="country"
								ng-options="item.name for item in ctrl.countries  track by item.idCountry"
								required>
							</select>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>CODICE
							IVA
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <input type="text"
								class="form-control" id="title" ng-model="vatCode">
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>DESCRIZIONE
							IVA
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <input type="text"
								class="form-control" id="title" ng-model="vatDescription">
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>LICENZE
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<ul style="height: 100px; overflow-y: auto;"
									ng-hide="hideLicenceList">
									<li ng-repeat="item in licence.licences"><span
										style="cursor: pointer" class="glyphicon glyphicon-remove"
										ng-show="licence.licences.length > 1"
										ng-click="eraseLicence(item.index)"></span> &nbsp;&nbsp; {{
										getLicenceRep(item) }} <span
										style="cursor: pointer; float: right"
										class="glyphicon glyphicon-plus"
										ng-show="licence.licences.length - 1 == $index"
										ng-click="addNewLicence()"></span></li>
								</ul>
								<div ng-show="hideLicenceList" style="width: 400px">


									<form class="form-horizontal">
										<div class="control-group">
											<label class="control-label" for="licCode"><span
												class="redColor" ng-show="codeInvalid">*</span>Codice</label>
											<div class="controls">
												<input type="text" ng-model="licenceCode" id="licCode"
													style="width: 200px; height: 25px">
											</div>
										</div>
										<div class="control-group">
											<label class="control-label" for="licFrom"><span
												class="redColor" ng-show="fromInvalid">*</span>Validit&agrave
												da</label>
											<div class="controls">
												<div class="input-append date" id="datepickerFrom"
													data-date-format="mm-yyyy">

													<input type="text" name="date"
														ng-model="selectedPeriodFrom"
														style="width: 173px; height: 25px"> <span
														class="add-on" style="height: 25px"><i
														class="icon-th"></i></span>
												</div>
												<script type="text/javascript">
													$("#datepickerFrom")
															.datepicker(
																	{
																    		language: 'it',
																		format : 'dd-mm-yyyy',
																		viewMode : "days",
																		minViewMode : "days",
																		orientation : "bottom auto",
																		autoclose : "true"
																	});
												</script>
											</div>
										</div>
										<div class="control-group">
											<label class="control-label" for="licFrom"><span
												class="redColor" ng-show="toInvalid">*</span>Validit&agrave
												a</label>
											<div class="controls">
												<div class="input-append date" id="datepickerTo"
													data-date-format="mm-yyyy">

													<input type="text" name="date" ng-model="selectedPeriodTo"
														style="width: 173px; height: 25px"  ng-disabled="automaticRenew"> <span
														class="add-on" style="height: 25px"><i
														class="icon-th"></i></span>
												</div>
												<script type="text/javascript">
													$("#datepickerTo")
															.datepicker(
																	{
																    		language: 'it',
																		format : 'dd-mm-yyyy',
																		viewMode : "days",
																		minViewMode : "days",
																		orientation : "bottom auto",
																		autoclose : "true"
																	});
												</script>
											</div>
											<input type="checkbox" ng-model="automaticRenew" /> rinnovo
											automatico
										</div>
									</form>
									<button type="button"
											class="btn btn-default"
											style="cursor:pointer;float:right;margin-top:30px"
											ng-click="confirm()">
                                            <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;Aggiungi
                                        </button>
                                        <button type="button"
												class="btn btn-default"
												style="cursor:pointer;float:left;margin-top:30px"
												ng-click="hideLicList()">
                                            <span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;Annulla
                                        </button>
								</div>
							</span>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>

	<div style="margin-top: 15px">
		<table width="100%">
			<tr>
				<td>
					<button type="button" class="btn addButton" ng-click="cancel()">
						<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
					</button>
				</td>
				<td align="right">
					<button ng-disabled="form.$invalid" class="btn addButton"
						ng-click="editConfig()">
						<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Modifica</strong>
					</button>
				</td>
			</tr>
		</table>
	</div>

</form>

<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
		<strong>{{ngDialogData}}</strong>
	</div>
</script>

<script type="text/javascript">
	$('#top_of_dialog')[0].scrollIntoView(true);
</script>